# Class CIM_ConnectorOnPackage
extends CIM_Container

PhysicalPackages contain Connectors as well as other PhysicalElements. The ConnectorOnPackage association makes explicit the containment relationship between Connectors and Packages.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_Container
|
+--CIM_ConnectorOnPackage

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | PhysicalPackages contain Connectors as well as other PhysicalElements. The ConnectorOnPackage association makes explicit the containment relationship between Connectors and Packages.
UMLPackagePath | string | CIM::Physical::Connector
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ConnectorOnPackage | CIM_PhysicalPackage
PartComponent | CIM_ConnectorOnPackage | CIM_PhysicalConnector

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
LocationWithinContainer | string | CIM_Container

## Class Methods